Package org.apache.xmlbeans.impl.xb.xsdschema.impl

## Class RedefineDocumentImpl.RedefineImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.xsdschema.impl.OpenAttrsImpl
      - - org.apache.xmlbeans.impl.xb.xsdschema.impl.RedefineDocumentImpl.RedefineImpl

- All Implemented Interfaces:
    `Serializable`, `TypeStoreUser`, `OpenAttrs`, `RedefineDocument.Redefine`, `SimpleValue`, `XmlObject`, `XmlTokenSource`
  Enclosing class:
    RedefineDocumentImpl

      public static class RedefineDocumentImpl.RedefineImpl
      extends OpenAttrsImpl
      implements RedefineDocument.Redefine

  An XML redefine(@http://www.w3.org/2001/XMLSchema). This is a complex type.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.OpenAttrs

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.RedefineDocument.Redefine

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, Factory, GREATER_THAN, LESS_THAN, NOT_EQUAL, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RedefineImpl​(SchemaType sType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AnnotationDocument.Annotation` | `addNewAnnotation()` | Appends and returns a new empty value (as xml) as the last "annotation" element
    `NamedAttributeGroup` | `addNewAttributeGroup()` | Appends and returns a new empty value (as xml) as the last "attributeGroup" element
    `TopLevelComplexType` | `addNewComplexType()` | Appends and returns a new empty value (as xml) as the last "complexType" element
    `NamedGroup` | `addNewGroup()` | Appends and returns a new empty value (as xml) as the last "group" element
    `TopLevelSimpleType` | `addNewSimpleType()` | Appends and returns a new empty value (as xml) as the last "simpleType" element
    `AnnotationDocument.Annotation[]` | `getAnnotationArray()` | Gets array of all "annotation" elements
    `AnnotationDocument.Annotation` | `getAnnotationArray​(int i)` | Gets ith "annotation" element
    `List<AnnotationDocument.Annotation>` | `getAnnotationList()` | Gets a List of "annotation" elements
    `NamedAttributeGroup[]` | `getAttributeGroupArray()` | Gets array of all "attributeGroup" elements
    `NamedAttributeGroup` | `getAttributeGroupArray​(int i)` | Gets ith "attributeGroup" element
    `List<NamedAttributeGroup>` | `getAttributeGroupList()` | Gets a List of "attributeGroup" elements
    `TopLevelComplexType[]` | `getComplexTypeArray()` | Gets array of all "complexType" elements
    `TopLevelComplexType` | `getComplexTypeArray​(int i)` | Gets ith "complexType" element
    `List<TopLevelComplexType>` | `getComplexTypeList()` | Gets a List of "complexType" elements
    `NamedGroup[]` | `getGroupArray()` | Gets array of all "group" elements
    `NamedGroup` | `getGroupArray​(int i)` | Gets ith "group" element
    `List<NamedGroup>` | `getGroupList()` | Gets a List of "group" elements
    `String` | `getId()` | Gets the "id" attribute
    `String` | `getSchemaLocation()` | Gets the "schemaLocation" attribute
    `TopLevelSimpleType[]` | `getSimpleTypeArray()` | Gets array of all "simpleType" elements
    `TopLevelSimpleType` | `getSimpleTypeArray​(int i)` | Gets ith "simpleType" element
    `List<TopLevelSimpleType>` | `getSimpleTypeList()` | Gets a List of "simpleType" elements
    `AnnotationDocument.Annotation` | `insertNewAnnotation​(int i)` | Inserts and returns a new empty value (as xml) as the ith "annotation" element
    `NamedAttributeGroup` | `insertNewAttributeGroup​(int i)` | Inserts and returns a new empty value (as xml) as the ith "attributeGroup" element
    `TopLevelComplexType` | `insertNewComplexType​(int i)` | Inserts and returns a new empty value (as xml) as the ith "complexType" element
    `NamedGroup` | `insertNewGroup​(int i)` | Inserts and returns a new empty value (as xml) as the ith "group" element
    `TopLevelSimpleType` | `insertNewSimpleType​(int i)` | Inserts and returns a new empty value (as xml) as the ith "simpleType" element
    `boolean` | `isSetId()` | True if has "id" attribute
    `void` | `removeAnnotation​(int i)` | Removes the ith "annotation" element
    `void` | `removeAttributeGroup​(int i)` | Removes the ith "attributeGroup" element
    `void` | `removeComplexType​(int i)` | Removes the ith "complexType" element
    `void` | `removeGroup​(int i)` | Removes the ith "group" element
    `void` | `removeSimpleType​(int i)` | Removes the ith "simpleType" element
    `void` | `setAnnotationArray​(int i, AnnotationDocument.Annotation annotation)` | Sets ith "annotation" element
    `void` | `setAnnotationArray​(AnnotationDocument.Annotation[] annotationArray)` | Sets array of all "annotation" element WARNING: This method is not atomicaly synchronized.
    `void` | `setAttributeGroupArray​(int i, NamedAttributeGroup attributeGroup)` | Sets ith "attributeGroup" element
    `void` | `setAttributeGroupArray​(NamedAttributeGroup[] attributeGroupArray)` | Sets array of all "attributeGroup" element WARNING: This method is not atomicaly synchronized.
    `void` | `setComplexTypeArray​(int i, TopLevelComplexType complexType)` | Sets ith "complexType" element
    `void` | `setComplexTypeArray​(TopLevelComplexType[] complexTypeArray)` | Sets array of all "complexType" element WARNING: This method is not atomicaly synchronized.
    `void` | `setGroupArray​(int i, NamedGroup group)` | Sets ith "group" element
    `void` | `setGroupArray​(NamedGroup[] groupArray)` | Sets array of all "group" element WARNING: This method is not atomicaly synchronized.
    `void` | `setId​(String id)` | Sets the "id" attribute
    `void` | `setSchemaLocation​(String schemaLocation)` | Sets the "schemaLocation" attribute
    `void` | `setSimpleTypeArray​(int i, TopLevelSimpleType simpleType)` | Sets ith "simpleType" element
    `void` | `setSimpleTypeArray​(TopLevelSimpleType[] simpleTypeArray)` | Sets array of all "simpleType" element WARNING: This method is not atomicaly synchronized.
    `int` | `sizeOfAnnotationArray()` | Returns number of "annotation" element
    `int` | `sizeOfAttributeGroupArray()` | Returns number of "attributeGroup" element
    `int` | `sizeOfComplexTypeArray()` | Returns number of "complexType" element
    `int` | `sizeOfGroupArray()` | Returns number of "group" element
    `int` | `sizeOfSimpleTypeArray()` | Returns number of "simpleType" element
    `void` | `unsetId()` | Unsets the "id" attribute
    `XmlID` | `xgetId()` | Gets (as xml) the "id" attribute
    `XmlAnyURI` | `xgetSchemaLocation()` | Gets (as xml) the "schemaLocation" attribute
    `void` | `xsetId​(XmlID id)` | Sets (as xml) the "id" attribute
    `void` | `xsetSchemaLocation​(XmlAnyURI schemaLocation)` | Sets (as xml) the "schemaLocation" attribute

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate, validate, validate_now, validate_simpleval, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### RedefineImpl

          public RedefineImpl​(SchemaType sType)

  - ### Method Detail

    - #### getAnnotationList

          public List<AnnotationDocument.Annotation> getAnnotationList()

      Gets a List of "annotation" elements
      Specified by:
        `getAnnotationList` in interface `RedefineDocument.Redefine`

    - #### getAnnotationArray

          public AnnotationDocument.Annotation[] getAnnotationArray()

      Gets array of all "annotation" elements
      Specified by:
        `getAnnotationArray` in interface `RedefineDocument.Redefine`

    - #### getAnnotationArray

          public AnnotationDocument.Annotation getAnnotationArray​(int i)

      Gets ith "annotation" element
      Specified by:
        `getAnnotationArray` in interface `RedefineDocument.Redefine`

    - #### sizeOfAnnotationArray

          public int sizeOfAnnotationArray()

      Returns number of "annotation" element
      Specified by:
        `sizeOfAnnotationArray` in interface `RedefineDocument.Redefine`

    - #### setAnnotationArray

          public void setAnnotationArray​(AnnotationDocument.Annotation[] annotationArray)

      Sets array of all "annotation" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setAnnotationArray` in interface `RedefineDocument.Redefine`

    - #### setAnnotationArray

          public void setAnnotationArray​(int i,
                                         AnnotationDocument.Annotation annotation)

      Sets ith "annotation" element
      Specified by:
        `setAnnotationArray` in interface `RedefineDocument.Redefine`

    - #### insertNewAnnotation

          public AnnotationDocument.Annotation insertNewAnnotation​(int i)

      Inserts and returns a new empty value (as xml) as the ith "annotation" element
      Specified by:
        `insertNewAnnotation` in interface `RedefineDocument.Redefine`

    - #### addNewAnnotation

          public AnnotationDocument.Annotation addNewAnnotation()

      Appends and returns a new empty value (as xml) as the last "annotation" element
      Specified by:
        `addNewAnnotation` in interface `RedefineDocument.Redefine`

    - #### removeAnnotation

          public void removeAnnotation​(int i)

      Removes the ith "annotation" element
      Specified by:
        `removeAnnotation` in interface `RedefineDocument.Redefine`

    - #### getSimpleTypeList

          public List<TopLevelSimpleType> getSimpleTypeList()

      Gets a List of "simpleType" elements
      Specified by:
        `getSimpleTypeList` in interface `RedefineDocument.Redefine`

    - #### getSimpleTypeArray

          public TopLevelSimpleType[] getSimpleTypeArray()

      Gets array of all "simpleType" elements
      Specified by:
        `getSimpleTypeArray` in interface `RedefineDocument.Redefine`

    - #### getSimpleTypeArray

          public TopLevelSimpleType getSimpleTypeArray​(int i)

      Gets ith "simpleType" element
      Specified by:
        `getSimpleTypeArray` in interface `RedefineDocument.Redefine`

    - #### sizeOfSimpleTypeArray

          public int sizeOfSimpleTypeArray()

      Returns number of "simpleType" element
      Specified by:
        `sizeOfSimpleTypeArray` in interface `RedefineDocument.Redefine`

    - #### setSimpleTypeArray

          public void setSimpleTypeArray​(TopLevelSimpleType[] simpleTypeArray)

      Sets array of all "simpleType" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setSimpleTypeArray` in interface `RedefineDocument.Redefine`

    - #### setSimpleTypeArray

          public void setSimpleTypeArray​(int i,
                                         TopLevelSimpleType simpleType)

      Sets ith "simpleType" element
      Specified by:
        `setSimpleTypeArray` in interface `RedefineDocument.Redefine`

    - #### insertNewSimpleType

          public TopLevelSimpleType insertNewSimpleType​(int i)

      Inserts and returns a new empty value (as xml) as the ith "simpleType" element
      Specified by:
        `insertNewSimpleType` in interface `RedefineDocument.Redefine`

    - #### addNewSimpleType

          public TopLevelSimpleType addNewSimpleType()

      Appends and returns a new empty value (as xml) as the last "simpleType" element
      Specified by:
        `addNewSimpleType` in interface `RedefineDocument.Redefine`

    - #### removeSimpleType

          public void removeSimpleType​(int i)

      Removes the ith "simpleType" element
      Specified by:
        `removeSimpleType` in interface `RedefineDocument.Redefine`

    - #### getComplexTypeList

          public List<TopLevelComplexType> getComplexTypeList()

      Gets a List of "complexType" elements
      Specified by:
        `getComplexTypeList` in interface `RedefineDocument.Redefine`

    - #### getComplexTypeArray

          public TopLevelComplexType[] getComplexTypeArray()

      Gets array of all "complexType" elements
      Specified by:
        `getComplexTypeArray` in interface `RedefineDocument.Redefine`

    - #### getComplexTypeArray

          public TopLevelComplexType getComplexTypeArray​(int i)

      Gets ith "complexType" element
      Specified by:
        `getComplexTypeArray` in interface `RedefineDocument.Redefine`

    - #### sizeOfComplexTypeArray

          public int sizeOfComplexTypeArray()

      Returns number of "complexType" element
      Specified by:
        `sizeOfComplexTypeArray` in interface `RedefineDocument.Redefine`

    - #### setComplexTypeArray

          public void setComplexTypeArray​(TopLevelComplexType[] complexTypeArray)

      Sets array of all "complexType" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setComplexTypeArray` in interface `RedefineDocument.Redefine`

    - #### setComplexTypeArray

          public void setComplexTypeArray​(int i,
                                          TopLevelComplexType complexType)

      Sets ith "complexType" element
      Specified by:
        `setComplexTypeArray` in interface `RedefineDocument.Redefine`

    - #### insertNewComplexType

          public TopLevelComplexType insertNewComplexType​(int i)

      Inserts and returns a new empty value (as xml) as the ith "complexType" element
      Specified by:
        `insertNewComplexType` in interface `RedefineDocument.Redefine`

    - #### addNewComplexType

          public TopLevelComplexType addNewComplexType()

      Appends and returns a new empty value (as xml) as the last "complexType" element
      Specified by:
        `addNewComplexType` in interface `RedefineDocument.Redefine`

    - #### removeComplexType

          public void removeComplexType​(int i)

      Removes the ith "complexType" element
      Specified by:
        `removeComplexType` in interface `RedefineDocument.Redefine`

    - #### getGroupList

          public List<NamedGroup> getGroupList()

      Gets a List of "group" elements
      Specified by:
        `getGroupList` in interface `RedefineDocument.Redefine`

    - #### getGroupArray

          public NamedGroup[] getGroupArray()

      Gets array of all "group" elements
      Specified by:
        `getGroupArray` in interface `RedefineDocument.Redefine`

    - #### getGroupArray

          public NamedGroup getGroupArray​(int i)

      Gets ith "group" element
      Specified by:
        `getGroupArray` in interface `RedefineDocument.Redefine`

    - #### sizeOfGroupArray

          public int sizeOfGroupArray()

      Returns number of "group" element
      Specified by:
        `sizeOfGroupArray` in interface `RedefineDocument.Redefine`

    - #### setGroupArray

          public void setGroupArray​(NamedGroup[] groupArray)

      Sets array of all "group" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setGroupArray` in interface `RedefineDocument.Redefine`

    - #### setGroupArray

          public void setGroupArray​(int i,
                                    NamedGroup group)

      Sets ith "group" element
      Specified by:
        `setGroupArray` in interface `RedefineDocument.Redefine`

    - #### insertNewGroup

          public NamedGroup insertNewGroup​(int i)

      Inserts and returns a new empty value (as xml) as the ith "group" element
      Specified by:
        `insertNewGroup` in interface `RedefineDocument.Redefine`

    - #### addNewGroup

          public NamedGroup addNewGroup()

      Appends and returns a new empty value (as xml) as the last "group" element
      Specified by:
        `addNewGroup` in interface `RedefineDocument.Redefine`

    - #### removeGroup

          public void removeGroup​(int i)

      Removes the ith "group" element
      Specified by:
        `removeGroup` in interface `RedefineDocument.Redefine`

    - #### getAttributeGroupList

          public List<NamedAttributeGroup> getAttributeGroupList()

      Gets a List of "attributeGroup" elements
      Specified by:
        `getAttributeGroupList` in interface `RedefineDocument.Redefine`

    - #### getAttributeGroupArray

          public NamedAttributeGroup[] getAttributeGroupArray()

      Gets array of all "attributeGroup" elements
      Specified by:
        `getAttributeGroupArray` in interface `RedefineDocument.Redefine`

    - #### getAttributeGroupArray

          public NamedAttributeGroup getAttributeGroupArray​(int i)

      Gets ith "attributeGroup" element
      Specified by:
        `getAttributeGroupArray` in interface `RedefineDocument.Redefine`

    - #### sizeOfAttributeGroupArray

          public int sizeOfAttributeGroupArray()

      Returns number of "attributeGroup" element
      Specified by:
        `sizeOfAttributeGroupArray` in interface `RedefineDocument.Redefine`

    - #### setAttributeGroupArray

          public void setAttributeGroupArray​(NamedAttributeGroup[] attributeGroupArray)

      Sets array of all "attributeGroup" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setAttributeGroupArray` in interface `RedefineDocument.Redefine`

    - #### setAttributeGroupArray

          public void setAttributeGroupArray​(int i,
                                             NamedAttributeGroup attributeGroup)

      Sets ith "attributeGroup" element
      Specified by:
        `setAttributeGroupArray` in interface `RedefineDocument.Redefine`

    - #### insertNewAttributeGroup

          public NamedAttributeGroup insertNewAttributeGroup​(int i)

      Inserts and returns a new empty value (as xml) as the ith "attributeGroup" element
      Specified by:
        `insertNewAttributeGroup` in interface `RedefineDocument.Redefine`

    - #### addNewAttributeGroup

          public NamedAttributeGroup addNewAttributeGroup()

      Appends and returns a new empty value (as xml) as the last "attributeGroup" element
      Specified by:
        `addNewAttributeGroup` in interface `RedefineDocument.Redefine`

    - #### removeAttributeGroup

          public void removeAttributeGroup​(int i)

      Removes the ith "attributeGroup" element
      Specified by:
        `removeAttributeGroup` in interface `RedefineDocument.Redefine`

    - #### getSchemaLocation

          public String getSchemaLocation()

      Gets the "schemaLocation" attribute
      Specified by:
        `getSchemaLocation` in interface `RedefineDocument.Redefine`

    - #### xgetSchemaLocation

          public XmlAnyURI xgetSchemaLocation()

      Gets (as xml) the "schemaLocation" attribute
      Specified by:
        `xgetSchemaLocation` in interface `RedefineDocument.Redefine`

    - #### setSchemaLocation

          public void setSchemaLocation​(String schemaLocation)

      Sets the "schemaLocation" attribute
      Specified by:
        `setSchemaLocation` in interface `RedefineDocument.Redefine`

    - #### xsetSchemaLocation

          public void xsetSchemaLocation​(XmlAnyURI schemaLocation)

      Sets (as xml) the "schemaLocation" attribute
      Specified by:
        `xsetSchemaLocation` in interface `RedefineDocument.Redefine`

    - #### getId

          public String getId()

      Gets the "id" attribute
      Specified by:
        `getId` in interface `RedefineDocument.Redefine`

    - #### xgetId

          public XmlID xgetId()

      Gets (as xml) the "id" attribute
      Specified by:
        `xgetId` in interface `RedefineDocument.Redefine`

    - #### isSetId

          public boolean isSetId()

      True if has "id" attribute
      Specified by:
        `isSetId` in interface `RedefineDocument.Redefine`

    - #### setId

          public void setId​(String id)

      Sets the "id" attribute
      Specified by:
        `setId` in interface `RedefineDocument.Redefine`

    - #### xsetId

          public void xsetId​(XmlID id)

      Sets (as xml) the "id" attribute
      Specified by:
        `xsetId` in interface `RedefineDocument.Redefine`

    - #### unsetId

          public void unsetId()

      Unsets the "id" attribute
      Specified by:
        `unsetId` in interface `RedefineDocument.Redefine`